Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.handler.codec.http
Class HttpRequestEncoder

    java.lang.Object
      org.jboss.netty.handler.codec.oneone.OneToOneEncoder
          org.jboss.netty.handler.codec.http.HttpMessageEncoder
              org.jboss.netty.handler.codec.http.HttpRequestEncoder

All Implemented Interfaces:
  ChannelDownstreamHandler, ChannelHandler

    public class HttpRequestEncoder

extends HttpMessageEncoder

Encodes an `HttpRequest` or an `HttpChunk` into a `ChannelBuffer`.

Version:
  $Rev: 2118 $, $Date: 2010-02-01 17:32:18 +0900 (Mon, 01 Feb 2010) $
Author:
  The Netty Project, Andy Taylor (andy.taylor@jboss.org), Trustin Lee

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`ChannelHandler.Sharable`

Constructor Summary
`HttpRequestEncoder()` Creates a new instance.

Method Summary
`protected void` | `encodeInitialLine(ChannelBuffer buf, HttpMessage message)`

Methods inherited from class org.jboss.netty.handler.codec.http.HttpMessageEncoder
`encode`

Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder
`handleDownstream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpRequestEncoder

    public HttpRequestEncoder()

  Creates a new instance.

Method Detail

### encodeInitialLine

    protected void encodeInitialLine(ChannelBuffer buf,
                                     HttpMessage message)
                              throws Exception

  Specified by:
    `encodeInitialLine` in class `HttpMessageEncoder`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.